<launch>
  <node respawn="true" pkg="joy" type="joy_node" name="joy_controller"/>
  <node respawn="true" pkg="rosserial_python" type="serial_node.py" name="HW_node1">
    <param name="port" value="/dev/ttyUSB0"/>
    <param name="baud" value="57600"/>
  </node>
  <node respawn="true" pkg="rosserial_python" type="serial_node.py" name="HW_node2">
    <param name="port" value="/dev/ttyUSB1"/>
    <param name="baud" value="57600"/>
  </node>
  <node respawn="true" pkg="rosserial_python" type="serial_node.py" name="HW_node3">
    <param name="port" value="/dev/ttyACM0"/>
    <param name="baud" value="57600"/>
  </node>
  <node respawn="true" pkg="controller" name="HardwareInterpreter" type="HardwareInterpreter.py"/>
</launch>